import type { IEventBus } from "../../../utils/EventBus";
import type { IWalletConnectModalData } from './wallet-connect-modal.types';
interface IWalletConnectEventBusProps {
    forceUpdateFn: () => void;
    closeFn: () => void;
}
export declare class WalletConnectBase {
    data: IWalletConnectModalData;
    eventBus: IEventBus;
    constructor(data: IWalletConnectModalData);
    getEventBus(): IEventBus;
    generateSVG(wcURI: string): Promise<any>;
    subscribeEventBus({ closeFn, forceUpdateFn }: IWalletConnectEventBusProps): void;
    unsubscribeEventBus({ closeFn, forceUpdateFn }: IWalletConnectEventBusProps): void;
    private dataUpdate;
}
export {};
